using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Reservtion
{
    public partial class Reservtion : Form
    {
        /// <summary>
        /// فرمهای زیر سیستم انبار
        /// </summary>
        WareHouse.frmTaghiiratsystem.frmUnitjadid frmUnitj;
        WareHouse.frmRepSefareshat frm1;
        WareHouse.frmRepPurched frm2;
        WareHouse.frmRepTahvili frm3;
        WareHouse.frmRepMojoodi frm4;
        WareHouse.frmTahvileKala frm5;
        WareHouse.frmKarbareJadid frm6;
        WareHouse.frmChangPassword frm7;
        WareHouse.frmParvandeh.SabteSefareshat frm8;
        WareHouse.frmParvandeh.Asset101 frm9;
        WareHouse.frmTaghiiratsystem.frmAnbarejadid frm10;
        WareHouse.frmTaghiiratsystem.frmVahedeKalaiejadid frm11;
        WareHouse.frmCategoory frm12;
        WareHouse.frmParvandeh.khariDarishodeh frm14;

        /// <summary>
        /// فرمهای زیر سیستم حسابداری
        /// </summary>
        HesabdariSubSys.frmBooks frm1h;
        HesabdariSubSys.frmCkecks frm2h;
        HesabdariSubSys.frmRoozanehBook frm3h;
        HesabdariSubSys.frmInhebitantEndBook frm4h;
        HesabdariSubSys.frmSalary frm5h;
        HesabdariSubSys.frmMerchanDiseBuyBook frm6h;
        HesabdariSubSys.frmChSandoogh frm7h;
        HesabdariSubSys.frmPensionBook frm8h;
        HesabdariSubSys.frmReportSalary frm9h;
        HesabdariSubSys.frmReportMerchBuyBook frm10h;
        HesabdariSubSys.frmReportCashBook frm11h;
        HesabdariSubSys.frmReportRooznameBooks frm12h;
        HesabdariSubSys.frmReportChech frm13h;

        RConection r;
        public Reservtion(RConection r1)
        {
            r = r1;
            InitializeComponent();
        }
        
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            //new NewTraveler().Show();
        }

        private void Reservtion_Load(object sender, EventArgs e)
        {
            
        }

        private void Reservtion_FormClosing(object sender, FormClosingEventArgs e)
        {   
            Program.Lg.Show();
        }

        private void linkLabel4_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            new ChangePassword(r).ShowDialog();
        }

        private void linkLabel5_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            new RoomPropertis(r).ShowDialog();
        }

        private void linkLabel6_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            new Rooms(r).Show();
        }

        private void NewRoomToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new Room.AddRoom(r).ShowDialog();
        }

        private void EditRoomToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new Room.EditRoom(r).ShowDialog();
        }

        private void حذفاتاقToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
        }

        private void براساسشمارهاتاقToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new AppRoom.RoomSearch(r).ShowDialog();
        }

        private void براساسویژگیاتاقToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new AppRoom.RoomSearchByProperty(r).ShowDialog();
        }

        private void مسافرجدیدToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new NewTraveler(r).ShowDialog();
        }

        private void Reservtion_Shown(object sender, EventArgs e)
        {
            
        }

        private void ثبتخدماتبرایمسافرToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new AddCustomerServiceing(r).ShowDialog();
        }

        private void پایاناقامتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new EndInhabitant(r).ShowDialog();
        }

        private void تغییرکلمهعبورToolStripMenuItem_Click(object sender, EventArgs e)
        {
            new ChangePassword(r).Show();
        }

        private void exitAppToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void Reservtion_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }

        private void Mnu_File_AssetsID_Click(object sender, EventArgs e)
        {
                frm9 = new WareHouse.frmParvandeh.Asset101();
                frm9.ShowDialog();
        }

        private void Mnu_File_Sefareshat_Click(object sender, EventArgs e)
        {

                frm8 = new WareHouse.frmParvandeh.SabteSefareshat();
                frm8.ShowDialog();

        }

        private void Mnu_File_Purchased_Click(object sender, EventArgs e)
        {

                frm14 = new WareHouse.frmParvandeh.khariDarishodeh();
                frm14.ShowDialog();

        }

        private void Mnu_File_TahvileKala_Click(object sender, EventArgs e)
        {

                frm5 = new WareHouse.frmTahvileKala();
                frm5.ShowDialog();
        }

        private void Mnu_Help_About_Click(object sender, EventArgs e)
        {
            MessageBox.Show("زیر سیستم انبارداری - مربوط به سیستم هتل");
        }

        private void Mnu_SysChanges_UnitJadid_Click(object sender, EventArgs e)
        {

                frmUnitj = new WareHouse.frmTaghiiratsystem.frmUnitjadid();
                frmUnitj.ShowDialog();
        }

        private void Mnu_SysChanges_CateGury_Click(object sender, EventArgs e)
        {

                frm12 = new WareHouse.frmCategoory();
                frm12.ShowDialog();

        }

        private void Mnu_SysChanges_AssetUnit_Click(object sender, EventArgs e)
        {

                frm11 = new WareHouse.frmTaghiiratsystem.frmVahedeKalaiejadid();
                frm11.ShowDialog();

        }

        private void Mnu_SysChanges_WareHouseJadid_Click(object sender, EventArgs e)
        {

                frm10 = new WareHouse.frmTaghiiratsystem.frmAnbarejadid();
                frm10.ShowDialog();
        }

        private void Mnu_Security_UserJadid_Click(object sender, EventArgs e)
        {

                frm6 = new WareHouse.frmKarbareJadid();
                frm6.ShowDialog();
        }

        private void Mnu_Security_ChangePasswords_Click(object sender, EventArgs e)
        {
                frm7 = new WareHouse.frmChangPassword();
                frm7.ShowDialog();
        }

        private void Mnu_Reports_SefareshKharid_Click(object sender, EventArgs e)
        {
                frm1 = new WareHouse.frmRepSefareshat();
                frm1.ShowDialog();
        }

        private void Mnu_Reports_Purchased_Click(object sender, EventArgs e)
        {

                frm2 = new WareHouse.frmRepPurched();
                frm2.ShowDialog();
        }

        private void Mnu_Reports_TahvilBeUnits_Click(object sender, EventArgs e)
        {

                frm3 = new WareHouse.frmRepTahvili();
                frm3.ShowDialog();

        }

        private void Mnu_Reports_Mojoodi_Click(object sender, EventArgs e)
        {

                frm4 = new WareHouse.frmRepMojoodi();
                frm4.ShowDialog();

        }

        private void dafaterToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm1h = new HesabdariSubSys.frmBooks();
                frm1h.ShowDialog();
        }

        private void dsfCheckjdjkfsToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm2h = new HesabdariSubSys.frmCkecks();
                frm2h.ShowDialog();

        }

        private void rooznamehOmoomiToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm3h = new HesabdariSubSys.frmRoozanehBook();
                frm3h.ShowDialog();

        }

        private void etmameEghamatToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm4h = new HesabdariSubSys.frmInhebitantEndBook();
                frm4h.ShowDialog();

        }

        private void daftarePardakhteDastmozdToolStripMenuItem_Click(object sender, EventArgs e)
        {
                frm5h = new HesabdariSubSys.frmSalary();
                frm5h.ShowDialog();

        }

        private void daftareKharideKalaToolStripMenuItem_Click(object sender, EventArgs e)
        {
                frm6h = new HesabdariSubSys.frmMerchanDiseBuyBook();
                frm6h.ShowDialog();
        }

        private void daftareSandooghToolStripMenuItem_Click(object sender, EventArgs e)
        {
                frm7h = new HesabdariSubSys.frmChSandoogh();
                frm7h.ShowDialog();

        }

        private void daftarePansionToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm8h = new HesabdariSubSys.frmPensionBook();
                frm8h.Show();

        }

        private void pardakhtreDastmozToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm9h = new HesabdariSubSys.frmReportSalary();
                frm9h.ShowDialog();

        }

        private void kharideKalaToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm10h = new HesabdariSubSys.frmReportMerchBuyBook();
                frm10h.ShowDialog();

        }

        private void daftareSandooghToolStripMenuItem1_Click(object sender, EventArgs e)
        {

                frm11h = new HesabdariSubSys.frmReportCashBook();
                frm11h.ShowDialog();

        }

        private void daftareRooznamehToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm12h = new HesabdariSubSys.frmReportRooznameBooks();
                frm12h.ShowDialog();

        }

        private void gozareshCKekHaToolStripMenuItem_Click(object sender, EventArgs e)
        {

                frm13h = new HesabdariSubSys.frmReportChech();
                frm13h.ShowDialog();

        }
    }
}
